Tracing constraint propagation
Functionality by programming task » Programming models

## Topics

| Tracing for float variables
| Tracing for integer and Boolean variables
| Tracing for set variables

## Classes

class | Gecode::TFE
| Trace filter expressions. More...
class | Gecode::TraceFilter
| Trace filters. More...
class | Gecode::ViewTraceRecorder< View >
| Propagator for recording view trace information. More...
class | Gecode::TraceRecorder
| Propagator for recording trace information. More...
class | Gecode::ViewTracer< View >
| Tracer that process view trace information. More...
class | Gecode::Tracer
| Tracer. More...
class | Gecode::StdTracer
| Default tracer. More...

## Enumerations

enum | Gecode::TraceEvent { Gecode::TE_INIT = 1 << 0 , Gecode::TE_PRUNE = 1 << 1 , Gecode::TE_FIX = 1 << 2 , Gecode::TE_FAIL = 1 << 3 , Gecode::TE_DONE = 1 << 4 , Gecode::TE_PROPAGATE = 1 << 5 , Gecode::TE_COMMIT = 1 << 6 , Gecode::TE_POST = 1 << 7 }
| Which events to trace. More...

## Functions

void | Gecode::trace (Home home, TraceFilter tf, int te=(TE_PROPAGATE|TE_COMMIT|TE_POST), Tracer &t=StdTracer::def)
| Create tracer.
void | Gecode::trace (Home home, int te=(TE_PROPAGATE|TE_COMMIT|TE_POST), Tracer &t=StdTracer::def)
| Create tracer.

## Detailed Description

## Enumeration Type Documentation

## TraceEvent

enum Gecode::TraceEvent

Which events to trace.

Enumerator
TE_INIT | Trace init events.
TE_PRUNE | Trace prune events.
TE_FIX | Trace fixpoint events.
TE_FAIL | Trace fail events.
TE_DONE | Trace done events.
TE_PROPAGATE | Trace propagator executions.
TE_COMMIT | Trace commit operations by branchers.
TE_POST | Trace propagator posting.

Definition at line 40 of file recorder.hpp.

## Function Documentation

## trace() [1/2]

void Gecode::trace | ( | Home | home,
|  | TraceFilter | tf,
|  | int | te = (TE_PROPAGATE | TE_COMMIT | TE_POST),
|  | Tracer & | t = StdTracer::def )

Create tracer.

Definition at line 39 of file general.cpp.

## trace() [2/2]

void Gecode::trace | ( | Home | home,
|  | int | te = (TE_PROPAGATE | TE_COMMIT | TE_POST),
|  | Tracer & | t = StdTracer::def )

inline

Create tracer.

Definition at line 37 of file general.hpp.